# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces
SoundFileReader.hpp File Reference
`#include <SFML/Audio/Export.hpp>`
`#include <SFML/Audio/SoundChannel.hpp>`
`#include <optional>`
`#include <vector>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | sf::SoundFileReader
| Abstract base class for sound file decoding. More...
struct | sf::SoundFileReader::Info
| Structure holding the audio properties of a sound file. More...

## Namespaces

namespace | sf